/*
GAME RULES:
- The game has 2 players, playing in rounds
- In each turn, a player rolls a dice as many times as he whishes. Each result get added to his ROUND score
- BUT, if the player rolls a 1, all his ROUND score gets lost. After that, it's the next player's turn
- The player can choose to 'Hold', which means that his ROUND score gets added to his GLBAL score. After that, it's the next player's turn
- The first player to reach 100 points on GLOBAL score wins the game
*/

var scores, roundScore, activePlayer;

scores = [0, 0];
roundScore = 0;
activePlayer = 0;

// document.querySelector("#current-" + activePlayer).textContent = dice;
// document.querySelector("#current-" + activePlayer).innerHTML = "<h1>" + dice + "</h1>";

//-----------------------------------------------------------------
// var x = document.querySelector("#score-1").textContent;
// console.log(x);

document.querySelector(".dice").style.display = "none";
document.getElementById('current-0').textContent = "0" ;
document.getElementById('current-1').textContent = "0" ;
document.getElementById('score-0').textContent = "0" ;
document.getElementById('score-1').textContent = "0" ;

document.querySelector(".btn-roll").addEventListener("click", function() {
  //create random number
  var dice = Math.floor(Math.random() * 6) + 1;
  // disply the result
  var diceDOM = document.querySelector(".dice");
  diceDOM.style.display = "block";
  diceDOM.src = "./dice-" + dice + ".png";
  // update current scores, if the rolled number was not one
  if (dice !== 1) {
    roundScore += dice;
  } else {
    roundScore = 0;
    if (activePlayer === 0) {
      activePlayer = 1;
      document.querySelector("#current-0").textContent = 0;
    } else {
      activePlayer = 0;
      document.querySelector("#current-1").textContent = 0;
    }
  }
  document.querySelector("#current-" + activePlayer).textContent = roundScore;
});
